## org.apache.cassandra.locator
Class SnitchProperties

    java.lang.Object
      org.apache.cassandra.locator.SnitchProperties

    public class SnitchProperties

extends java.lang.Object

Field Summary
`static java.lang.String` `RACKDC_PROPERTY_FILENAME`

Constructor Summary
`SnitchProperties()`

Method Summary
`static java.lang.String` `get(java.lang.String propertyName, java.lang.String defaultValue)` Get a snitch property value or return null if not defined.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RACKDC_PROPERTY_FILENAME

    public static final java.lang.String RACKDC_PROPERTY_FILENAME

See Also:
  Constant Field Values

Constructor Detail

### SnitchProperties

    public SnitchProperties()

Method Detail

### get

    public static java.lang.String get(java.lang.String propertyName,
                                       java.lang.String defaultValue)

  Get a snitch property value or return null if not defined.

Copyright © 2013 The Apache Software Foundation